
Name: genpo
Version: 0.9.7
Release: %mkrel 2

Summary:   GENPO is the GENeral Purpose Organ
License:   GPL
Group:     Sound
URL:       http://genpo.sourceforge.net/
Source:	   %{name}-%{version}.tar.gz
Source1:   %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires:	libalsa-devel
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig
BuildRequires:	libqt3-devel
BuildRequires:	desktop-file-utils
Requires:	alsa

%description
GENPO is a program which replicates the essential features of any pipe,
theatre, or reed organ.

GENPO reads a description of an organ (a .org XML file) and presents
a suitable user interface for operating that organ. There are a
number of high quality organ SoundFonts freely available and the .org
file maps the stop sounds to organ manuals and stops. Other
facilities such and couplers and presets are available. You may
connect one or more MIDI keyboards to GENPO to provide the organ
manuals, you can even assign one to be the 'pedalboard' if so
desired.

Before starting genpo you must load a SoundFont into the wavetable
synthesizer on the sound card.

%prep
%setup -q 

%build
export QTDIR=%_prefix/lib/qt3
cd src
/usr/lib/qt3/bin/qmake 
%make

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 src/%{name} %{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -m 755 organs/* %{buildroot}%{_datadir}/%{name}

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
    
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment=GENPO is the GENeral Purpose Organ
Name=GENeral Purpose Organ 
Type=Application
Exec=%{name} %{_datadir}/%{name}/$i
Icon=%{name}.png
Terminal=false
Encoding=UTF-8
Categories=X-MandrivaLinux-Application;Multimedia;AudioVideo;
EOF

%clean
rm -rf %{buildroot}

%post 
%{update_desktop_database}
%{update_menus}

%postun 
%{clean_desktop_database}
%{clean_menus}

		
%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Sun May 25 2009 Texstar <texstar@gmail.com> 0.9.7-2pclos2009
- fix rpm group

* Tue Aug 12 2008 slick50 <slick50@linuxgator.org> 0.9.7-1pclos2007
- Initial build 

